package com.arms.api.fluentd.service;

import com.arms.api.fluentd.model.vo.ScheduleHistoryVO;
import com.arms.api.search_engine.model.dto.BaseSearchAggrDTO;
import com.arms.api.search_engine.model.dto.SearchDTO;
import com.arms.api.search_engine.model.vo.SearchAggrResultVO;
import com.arms.api.search_engine.model.vo.SearchResultVO;
import com.arms.api.fluentd.model.entity.FluentdEntity;

import java.util.List;

public interface FluentdService {

    SearchAggrResultVO aggregateByFluentdLogName(BaseSearchAggrDTO searchAggrDTO);

    SearchResultVO<FluentdEntity> searchFluentdLog(SearchDTO searchDTO);

    void keepAliveConnection();

    List<ScheduleHistoryVO> getScheduleHistory(SearchDTO searchDTO);
}
